Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 613343 - [abrt] crash in openocd-0.4.0-1.fc13: raise: Process /usr/bin/openocd was killed by signal 6 (SIGABRT)
[abrt] crash in openocd-0.4.0-1.fc13: raise: Process /usr/bin/openocd was kil...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openocd (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dean Glazeski
Fedora Extras Quality Assurance
abrt_hash:9afeb863e2eda35d83c584eff96...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-10 18:07 EDT by marco
Modified: 2011-06-29 09:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:43:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.10 KB, text/plain)
2010-07-10 18:07 EDT, marco
no flags Details

  None (edit)
Description marco 2010-07-10 18:07:21 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: openocd
component: openocd
crash_function: raise
executable: /usr/bin/openocd
global_uuid: 9afeb863e2eda35d83c584eff9658adafcb08078
kernel: 2.6.33.6-147.fc13.x86_64
package: openocd-0.4.0-1.fc13
rating: 4
reason: Process /usr/bin/openocd was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. fast_load_image filename
37760 bytes written at address 0x08000000
2416 bytes written at address 0x20000000
Loaded 40176 bytes in 0.000350s (112098.219 kb/s)
WARNING: image has not been loaded to target!You can issue a 'fast_load' to finish loading.

2. reset halt
10 kHz
JTAG tap: stm32_hitex.cpu tap/device found: 0x3ba00477 (mfg: 0x23b, part: 0xba00, ver: 0x3)
JTAG tap: stm32_hitex.bs tap/device found: 0x16410041 (mfg: 0x020, part: 0x6410, ver: 0x1)
JTAG tap: str750_hitex.cpu tap/device found: 0x4f1f0041 (mfg: 0x020, part: 0xf1f0, ver: 0x4)
can't request a halt while in reset if nSRST pulls nTRST

Command handler execution failed
in procedure 'reset' called at file "command.c", line 650
called at file "command.c", line 361

3. fast_load
Write to 0x08000000, length 0x00009380
Connection closed by foreign host.

openocd: core.c:338: jtag_checks: Assertion `jtag_trst == 0' failed.
Aborted (core dumped)
Comment 1 marco 2010-07-10 18:07:24 EDT
Created attachment 430920 [details]
File: backtrace
Comment 2 Dean Glazeski 2010-07-10 18:25:26 EDT
I'm not familiar enough with the source to be able to help debug this issue.  What I would suggest is sending an email off to openocd-development@lists.berlios.de.  That's the mailing list where bugs are reported and patches submitted for OpenOCD.  They will also want to know what your configuration file is and perhaps a debug level 3 log (there's a command for that or -d 3 on the command line).
Comment 3 marco 2010-07-24 19:21:16 EDT
Package: openocd-0.4.0-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. 
2.
3.
Comment 4 Bug Zapper 2011-06-01 10:15:39 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-29 09:43:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.